#!/usr/bin/perl
# fixup-removeblanklines.pl
#                   RBLandau 20071009
#
use English; 
use newtrace;

my $sPrefix = "pdm";

defined($ARGV[1-1]) || die "Usage: fixup  mib-file\n";

# Now the MIB file
$sMibFile = $ARGV[1-1];
newtrace::trace( 1,"file1|$sMibFile|");
open( MIB,  '<', $sMibFile ) || die "Error: cannot open input file $sMibFile: $!";

my $fPrevLineWasBlank = 0;
# Process the MIB file line by line.
# If this line is blank, and the previous one was, too, 
# then don't print the line.  
while (<MIB>)
{
    $sLine = $_;
    $fThisLineIsBlank = $sLine =~ /^\s*$/;
    if ( $fThisLineIsBlank && $fPrevLineWasBlank )
    {
        newtrace::trace(1,"proc consecutive blank lines at $NR");
        # Do nothing.
    } else
    {
        print $sLine;
    }
    $fPrevLineWasBlank = $fThisLineIsBlank;
}
