#!/usr/bin/perl
# fixup-selectregionoffile.pl
#                   RBLandau 20071009
#
# Outputs a region of the input file that spans from the line
# matching the starting-regex value through the line matching
# the ending-regex value, inclusive of both endpoints.  

use English; 
use newtrace;
use strict;

my $sPrefix = "pdm";

defined($ARGV[3-1]) || die "Usage: fixup  mib-file starting-regex ending-regex\n";

# First is the MIB file
my $sMibFile = $ARGV[1-1];
newtrace::trace( 1,"file1|$sMibFile|");
open( MIB,  '<', $sMibFile ) || die "Error: cannot open input file $sMibFile: $!";

my $sStartRegex = $ARGV[2-1];
my $sEndRegex = $ARGV[3-1];

my $fWithinRegion = 0;

# Process the MIB file line by line.
# Turn on fWithinRegion when you see the first regex, and 
# output that line.
# Turn off the switch when you see the last regex, after 
# you output that line.

while (<MIB>)
{
    my $sLine = $_;

    if ( $sLine =~ /$sStartRegex/ )
    {
        $fWithinRegion = 1;
        newtrace::trace(1,"proc found start at line $NR");
    } 
    if ( $sLine =~ /$sEndRegex/ )
    {
        if ( $fWithinRegion )
        {
            print $sLine;
        }
        $fWithinRegion = 0;
        newtrace::trace(1,"proc found end at line $NR");
    }
    if ( $fWithinRegion )
    {
        print $sLine;
    }
}
